Bug 1118469 - [abrt] streamtuner: streamtuner2:285:rowno:TypeError: iter should be a GtkTreeIter
Summary: [abrt] streamtuner: streamtuner2:285:rowno:TypeError: iter should be a GtkTre...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: streamtuner
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Haase
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fb704c4f05d3f99763b6a5a379f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 19:31 UTC by viabsb
Modified: 2015-02-18 11:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:46:30 UTC


Attachments (Terms of Use)
File: backtrace (603 bytes, text/plain)
2014-07-10 19:31 UTC, viabsb
no flags Details
File: environ (2.81 KB, text/plain)
2014-07-10 19:31 UTC, viabsb
no flags Details

Description viabsb 2014-07-10 19:31:01 UTC
Description of problem:
I was recording

Version-Release number of selected component:
streamtuner-2.1.1-5.fc19

Additional info:
reporter:       libreport-2.2.2
cmdline:        python /usr/bin/streamtuner2
executable:     /usr/bin/streamtuner2
kernel:         3.14.8-100.fc19.x86_64.debug
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
streamtuner2:285:rowno:TypeError: iter should be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/bin/streamtuner2", line 316, in on_record_clicked
    row = self.row()
  File "/usr/bin/streamtuner2", line 290, in row
    return self.channel().stations() [self.rowno()]
  File "/usr/bin/streamtuner2", line 285, in rowno
    return model.get_path(iter)[0]
TypeError: iter should be a GtkTreeIter

Local variables in innermost frame:
model: <gtk.ListStore object at 0x7f2468018320 (GtkListStore at 0x2c78600)>
self: <StreamTunerTwo object at 0x2c0b1e0 (GtkBuilder at 0x2c8c1e0)>
iter: None

Comment 1 viabsb 2014-07-10 19:31:04 UTC
Created attachment 917167 [details]
File: backtrace

Comment 2 viabsb 2014-07-10 19:31:05 UTC
Created attachment 917168 [details]
File: environ

Comment 3 Fedora End Of Life 2015-01-09 21:26:58 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-18 11:46:30 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.